%define zopeproductsdir %{_libdir}/zope/lib/python/Products
%define productname 	CMFActionIcons
%define productver  	0.9

%define __find          /usr/bin/find

Name:               zope-%{productname}
Summary:            A Zope product: %{productname}
Version:            %{productver} 
Release:            1ied02
Group:              Applications/Internet 
Requires:           zope >= 2.7.0
Requires:           zope-CMF >= 1.4.2
License:            ZPL
URL:                http://zope.org/Members/tseaver/CMFActionIcons/
Source:             http://zope.org/Members/tseaver/%{productver}/%{productname}-%{productver}.tar.gz
Vendor:             IED
Distribution:       Zope
Packager:           Wei He <hewe@ied.org.cn>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Buildarch:          noarch
Requires(preun):    %{__find}

#---------------------------------------------------------------------
%description

This product is a add-on for the Zope Content Management Framework (CMF). 
It should be useful with Plone, CPS, and other CMF-derived extensions,
as well.

#----------------------------------------------------------------------
%prep

%setup -q -n %{productname}-%{version}
%{__mv} README.txt %{productname}

#----------------------------------------------------------------------
%build

#----------------------------------------------------------------------
%install
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}
%{__cp} -pr %{productname} $RPM_BUILD_ROOT%{zopeproductsdir}

#----------------------------------------------------------------------
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%preun

%{__find} %{zopeproductsdir}/%{productname} -iname *.pyc -exec %{__rm} '{}' \;

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc %{productname}/README.txt %{productname}/version.txt
%dir %{zopeproductsdir}/%{productname}
%{zopeproductsdir}/%{productname}/*

#----------------------------------------------------------------------
%changelog
* Wed Jun 23 2004 Wei He <hewei@ied.org.cn> 0.9-1ied02
- spec file cleanups

* Thu Apr 22 2004 Wei He <hewei@ied.org.cn> 0.9-1ied00
- Initial release
